Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.text
Interface IJavaColorConstants

public interface IJavaColorConstants

Color keys used for syntax highlighting Java code and Javadoc compliant comments. A `IColorManager` is responsible for mapping concrete colors to these keys.

This interface declares static final fields only; it is not intended to be implemented.

See Also:
  `IColorManager`, `IColorManagerExtension`

Field Summary
`static String` | `JAVA_DEFAULT` The color key for everything in Java code for which no other color is specified (value `"java_default"`).
`static String` | `JAVA_KEYWORD` The color key for Java keywords in Java code (value `"java_keyword"`).
`static String` | `JAVA_KEYWORD_RETURN` The color key for keyword 'return' in Java code (value `"java_keyword_return"`).
`static String` | `JAVA_METHOD_NAME` The color key for method names in Java code (value `"java_method_name"`).
`static String` | `JAVA_MULTI_LINE_COMMENT` The color key for multi-line comments in Java code (value `"java_multi_line_comment"`).
`static String` | `JAVA_OPERATOR` The color key for operators and brackets in Java code (value `"java_operator"`).
`static String` | `JAVA_SINGLE_LINE_COMMENT` The color key for single-line comments in Java code (value `"java_single_line_comment"`).
`static String` | `JAVA_STRING` The color key for string and character literals in Java code (value `"java_string"`).
`static String` | `JAVA_TYPE` Deprecated. no longer used, replaced by `JAVA_KEYWORD`
`static String` | `JAVADOC_DEFAULT` The color key for everything in JavaDoc comments for which no other color is specified (value `"java_doc_default"`).
`static String` | `JAVADOC_KEYWORD` The color key for JavaDoc keywords (`@foo`) in JavaDoc comments (value `"java_doc_keyword"`).
`static String` | `JAVADOC_LINK` The color key for JavaDoc links (`{foo}`) in JavaDoc comments (value `"java_doc_link"`).
`static String` | `JAVADOC_TAG` The color key for HTML tags (`<foo>`) in JavaDoc comments (value `"java_doc_tag"`).
`static String` | `PREFIX` Note: This constant is for internal use only.
`static String` | `TASK_TAG` The color key for task tags in java comments (value `"java_comment_task_tag"`).

Field Detail

### PREFIX

    public static final String PREFIX

  Note: This constant is for internal use only. Clients should not use this constant. The prefix all color constants start with (value `"java_"`).

  See Also:
    Constant Field Values

### JAVA_MULTI_LINE_COMMENT

    public static final String JAVA_MULTI_LINE_COMMENT

  The color key for multi-line comments in Java code (value `"java_multi_line_comment"`).

  See Also:
    Constant Field Values

### JAVA_SINGLE_LINE_COMMENT

    public static final String JAVA_SINGLE_LINE_COMMENT

  The color key for single-line comments in Java code (value `"java_single_line_comment"`).

  See Also:
    Constant Field Values

### JAVA_KEYWORD

    public static final String JAVA_KEYWORD

  The color key for Java keywords in Java code (value `"java_keyword"`).

  See Also:
    Constant Field Values

### JAVA_STRING

    public static final String JAVA_STRING

  The color key for string and character literals in Java code (value `"java_string"`).

  See Also:
    Constant Field Values

### JAVA_METHOD_NAME

    public static final String JAVA_METHOD_NAME

  The color key for method names in Java code (value `"java_method_name"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### JAVA_KEYWORD_RETURN

    public static final String JAVA_KEYWORD_RETURN

  The color key for keyword 'return' in Java code (value `"java_keyword_return"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### JAVA_OPERATOR

    public static final String JAVA_OPERATOR

  The color key for operators and brackets in Java code (value `"java_operator"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### JAVA_DEFAULT

    public static final String JAVA_DEFAULT

  The color key for everything in Java code for which no other color is specified (value `"java_default"`).

  See Also:
    Constant Field Values

### JAVA_TYPE

    public static final String JAVA_TYPE

  Deprecated. no longer used, replaced by `JAVA_KEYWORD`

  The color key for the Java built-in types such as `int` and `char` in Java code (value `"java_type"`).

  See Also:
    Constant Field Values

### TASK_TAG

    public static final String TASK_TAG

  The color key for task tags in java comments (value `"java_comment_task_tag"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### JAVADOC_KEYWORD

    public static final String JAVADOC_KEYWORD

  The color key for JavaDoc keywords (`@foo`) in JavaDoc comments (value `"java_doc_keyword"`).

  See Also:
    Constant Field Values

### JAVADOC_TAG

    public static final String JAVADOC_TAG

  The color key for HTML tags (`<foo>`) in JavaDoc comments (value `"java_doc_tag"`).

  See Also:
    Constant Field Values

### JAVADOC_LINK

    public static final String JAVADOC_LINK

  The color key for JavaDoc links (`{foo}`) in JavaDoc comments (value `"java_doc_link"`).

  See Also:
    Constant Field Values

### JAVADOC_DEFAULT

    public static final String JAVADOC_DEFAULT

  The color key for everything in JavaDoc comments for which no other color is specified (value `"java_doc_default"`).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.